List Registration Records
curl --request GET \
--url https://api.base39.com.br/v2/entities/{id}/registration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.base39.com.br/v2/entities/{id}/registration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.base39.com.br/v2/entities/{id}/registration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"results": [
{
"sourceDataset": "quod",
"observedAt": "2026-05-08T12:30:00.000Z",
"object": "company",
"phones": [
"1133334444"
],
"secondaryCnaes": [
{
"code": "6201501",
"description": "Desenvolvimento de programas de computador sob encomenda"
}
],
"companyId": "cmp_abc123",
"document": "11222333000181",
"legalName": "Empresa Teste S.A.",
"tradeName": "Empresa Teste",
"addressState": "SP",
"addressType": "Rua",
"addressStreet": "Base39",
"addressNumber": "39",
"addressComplement": "Sala 1201",
"addressNeighborhood": "Centro",
"addressZipCode": "01001000",
"addressCity": "São Paulo",
"registrationStatus": "02",
"registrationStatusDate": "2024-01-15",
"email": "contato@empresa.test",
"companySize": "DEMAIS",
"capital": 100000,
"legalNatureCode": "2062",
"simplesOption": true,
"simplesOptionDate": "2021-01-01",
"meiOption": false,
"meiOptionDate": null,
"mainCnae": {
"code": "6201501",
"description": "Desenvolvimento de programas de computador sob encomenda"
},
"isHeadquarter": true,
"activityStartDate": "2020-05-12"
}
],
"has_more": true,
"metadata": {
"status": "NOT_QUERIED",
"provenance": {
"datasets": [
{
"datasetSlug": "<string>",
"requirement": "required",
"visible": true,
"onRefresh": true,
"sourcePriority": 123,
"status": "NOT_QUERIED",
"queryId": "<string>",
"observedAt": "<string>",
"recordedAt": "<string>",
"errorCode": "upstream_error"
}
]
},
"summary": "<string>"
},
"next_cursor": "<string>",
"type": "<string>"
}Registration
List Registration Records
GET
/
v2
/
entities
/
{id}
/
registration
List Registration Records
Authorizations
OAuth2 Authorization Code flow
Path Parameters
CPF, CNPJ, or company id (cmp_*)
Query Parameters
Data de referência (YYYY-MM-DD)
Comma-separated optional response fields. Supports "summary.short", "summary.long", and "summary.mdx". Without summary.* the metadata.summary field is omitted.
Response
200 - application/json
Object type identifier
Array of results for current page
- Option 1
- Option 2
Show child attributes
Show child attributes
Whether more results exist beyond this page
Show child attributes
Show child attributes
Opaque cursor for next page. null if no more results.
Type of results (Notion-compatible)
⌘I